<div class="container" [class.sm]="smQuery.matches">
  <mat-toolbar class="toolbar">
    <span class="app-name">
      <img src="/assets/logo.png" alt="" height="32" class="circle" />
      <span>Auth App</span>
    </span>
    <span class="spacer"></span>
    <span [hidden]="!mdQuery.matches">
      <a
        mat-button
        *ngFor="let nav of navList"
        [routerLink]="nav.path"
        color="primary"
      >
        {{ nav.name }}
      </a>
    </span>
    <span [hidden]="mdQuery.matches">
      <button mat-icon-button (click)="snav.toggle()" color="primary">
        <mat-icon>menu</mat-icon>
      </button>
    </span>
  </mat-toolbar>

  <mat-sidenav-container
    class="sidenav-container"
    [style.marginTop.px]="!smQuery.matches ? 56 : 0"
  >
    <mat-sidenav
      #snav
      [mode]="!smQuery.matches ? 'over' : 'side'"
      [fixedInViewport]="!smQuery.matches"
      fixedTopGap="56"
      position="end"
    >
      <mat-nav-list>
        <a mat-list-item [routerLink]="nav.path" *ngFor="let nav of navList"
          ><span class="nav-item">{{ nav.name }}</span></a
        >
      </mat-nav-list>
    </mat-sidenav>

    <mat-sidenav-content>
      <router-outlet></router-outlet>
    </mat-sidenav-content>
  </mat-sidenav-container>
</div>
